package com.goldenwater.yjjt.mapper;

import com.goldenwater.yjjt.domain.YjjtSzData;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface YjjtSzDataMapper {

    List<YjjtSzData> selectYjjtSzDataList(YjjtSzData yjjtSzData);

    YjjtSzData selectYjjtSzDataById(Long id);

    int insertYjjtSzData(YjjtSzData yjjtSzData);

    int updateYjjtSzData(YjjtSzData yjjtSzData);

    int deleteYjjtSzDataById(Long id);

    int deleteYjjtSzDataByIds(Long[] ids);

    int countByStcdAndSpt(@Param("stcd") String stcd, @Param("spt") String spt, @Param("addvcd") String addvcd);
}